using Android.App;
using Android.Content;
using Android.Content.Res;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using PhilExample.Utils;
using Xamarin.Forms;
using Xamarin.Forms.Platform.Android;

[assembly: ResolutionGroupName(nameof(EffectConstants.EffectGroup))]
[assembly: ExportEffect(typeof(PhilExample.Droid.Effects.RemoveUnderlineEntryEffect), 
                        nameof(PhilExample.Droid.Effects.RemoveUnderlineEntryEffect))]
namespace PhilExample.Droid.Effects
{
    public class RemoveUnderlineEntryEffect : PlatformEffect
    {
        protected override void OnAttached()
        {
            try
            {
                Android.Graphics.Color entryLineColor = Android.Graphics.Color.Transparent;
                Control.BackgroundTintList = ColorStateList.ValueOf(entryLineColor);
            }
            catch (Exception ex)
            {
                Console.WriteLine("Error OnAttached " + nameof(RemoveUnderlineEntryEffect), ex.Message);
            }
        }

        protected override void OnDetached() { }
    }
}